

/* colorepts.c */
int init_colorepts (void);
void colorepts_restore_all (void);
Colorepts *make_colorepts (void);
void colorepts_clear (int ch);
void colorepts_plot (int ch, int clor);
void colorepts_to_frame1 (int ch, int clor, Frame1 *out);
int colorepts_read_lut (int ch, int clor);
int colorepts_maybe_add_framemask (int ch, Frame24 *fb, Frame1 *mb, int dist);
int colorepts_add_framemask (int ch, Frame24 *fb, Frame1 *mb);
int colorepts_fill (int ch, int clor);
int colorepts_shrink (int ch, int clor, int n);
int colorepts_grow (int ch, int clor, int n);
int colorepts_smooth (int ch, int clor);
int colorepts_kill_white (int ch, int wlev);
int colorepts_kill_black (int ch, int wlev);
int colorepts_add_to_lut (Colorepts *gr, Colorepts *gb, int ch);
int colorepts_add_color24 (int ch, Color24 addc, int dist);
int colorepts_restore (int ch, int start_addr);
int colorepts_save (int ch, int start_addr);
void __colorepts_clear (Colorepts *ce);
void __colorepts_cpy (Colorepts *dest, Colorepts *src);
int __colorepts_plot (Colorepts *ce);
int __colorepts_to_frame1 (Colorepts *ce, Frame1 *out);
int __colorepts_plot_color24 (Colorepts *rce, Colorepts *bce, Color24 co);
int __colorepts_kill_white (Colorepts *ce, int wlev);
int __colorepts_kill_black (Colorepts *ce, int wlev);
int __colorepts_smooth (Colorepts *ce);
int __colorepts_fill (Colorepts *ce);
int __colorepts_add_box (Colorepts *ce, int start, int end, int left, int right);
int __colorepts_add_color24 (Colorepts *rce, Colorepts *bce, Color24 addc, int dist);
int __colorepts_insert (Colorepts *ce, int row, int col);
int __colorepts_grow (Colorepts *ce, int n);
int __colorepts_shrink (Colorepts *ce, int n);
int __colorepts_dist (Colorepts *ce, int row, int col);
int __colorepts_add_framemask (Colorepts *rc, Colorepts *bc, Frame24 *fb, Frame1 *mb);
int __colorepts_maybe_add_framemask (Colorepts *rc, Colorepts *bc, Frame24 *fb, Frame1 *mb, int dist);
int __colorepts_add_histogram (Colorepts *ce, Frame1 *fb, int maxdist);
int __colorepts_read_lut (Colorepts *ce, int ch, int clor);
int __colorepts_convert_histogram (Colorepts *ce, Frame1 *fb);
int __colorepts_save_plane (Colorepts *ce, int start_addr);
int __colorepts_restore_plane (Colorepts *ce, int start_addr);
int epts_extend (Epts *e, int n);
int epts_extend_b (Epts *e, int n);
int epts_extend_e (Epts *e, int n);
int epts_maybe_expand (Epts *ept, int b, int e);
int epts_expand_to_point (Epts *ept, int i);
int epts_fix_slopes (Epts *dest, Epts *src, int lslope, int rslope);
int epts_fix_lslope (Epts *dest, Epts *src, int lslope);
int epts_fix_rslope (Epts *dest, Epts *src, int rslope);
int epts_hdist (Epts *e, int col);
int epts_left_slope (Epts *a, Epts *b);
int epts_right_slope (Epts *a, Epts *b);
int __colorepts_draw_eptdiff_in_lut (Epts *add, Epts *old, int ch, int clor);
int __colorepts_or_epts (Epts *dest, Epts *add);
int __colorepts_or (Colorepts *dest, Colorepts *add);
int __colorepts_set_lut_to_plane (Colorepts *ce, int ch, int clor);
int __colorepts_set_lut_to_plane (Colorepts *ce, int ch, int clor);
int colorepts_copy_lut_to_plane (Colorepts *ce, int ch, int clor);

