#ifndef __tpuvis__
#define __tpuvis__

#include <tpu/dio.h>

#define vsync_mode (0x5)
#define vsync_initialize (1)

#define  hsync_mode  (0x3)
#define  hsync_initialize  (1)

#define vcross_mode (0x4)
#define vcross_initialize (1)

extern int tpuvis_initialized;
extern vsync vsync_in;
extern hsync hsync_in;
extern vcross cross_out;
extern int crosshairs_row,crosshairs_col;

#define edge_initialize_primary 1
#define edge_restart_primary 2
#define edge_initialize_secondary 3
#define edge_mode 2

static inline void hsync_reset()
{
  clear_cisr(HSYNC_CH);
}

static inline int hsync_check()
{
  return((tpu_control->cisr & (1<<HSYNC_CH)));
}

static inline void vsync_reset()
{
  clear_cisr(VSYNC_CH);
  vsync_in->lastdir=0xffff;
}

static inline int vsync_check()
{
  return((tpu_control->cisr & (1<<VSYNC_CH)));
}

static inline int vsync_check_rise()
{
   return(vsync_in->lastdir==1);
}

static inline int vsync_check_fall()
{
   return(vsync_in->lastdir==0);
}

static inline void set_crosshairs(int row,int col)
{
  crosshairs_row=row;
  crosshairs_col=col;
  cross_out->row=(word)row;
  cross_out->col=(word)col;
}
#include "tpuvis.pro"
#endif
